<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <!-- <link rel="stylesheet" href="./index.css"> -->
    <title>Bootstrap Grid System</title>
</head>
<body class="text-center">
    <h1>Bootstrap Grid System</h1>

    <!-- 2col -->
    <h2>Two-Columns</h2>
    <div class="container-fluid">
        <h3>1:1 Ratio</h3>

        <div class="row">
            <div class="py-3 border border-dark col-6 bg-primary">6col</div>
            <div class="py-3 border border-dark col-6 bg-secondary">6col</div>
        </div>

        <h3>1:3 Ratio</h3>
        <div class="row">
            <div class="py-3 border border-dark col-9 bg-primary">9col</div>
            <div class="py-3 border border-dark col-3 bg-secondary">3col</div>
        </div>

        <h3>1:2 Ratio</h3>
        <div class="row">
            <div class="py-3 border border-dark col-8 bg-primary">8col</div>
            <div class="py-3 border border-dark col-4 bg-secondary">4col</div>
        </div>
    </div>
    <!-- 3col -->
    <div class="container-fluid">
        <h3>1:1:1 Ratio</h3>
        <div class="row">
            <div class="py-3 border border-dark col-4 bg-primary">4col</div>
            <div class="py-3 border border-dark col-4 bg-secondary">4col</div>
            <div class="py-3 border border-dark col-4 bg-info">4col</div>
        </div>
        <h3>1:2:1 Ratio</h3>
        <div class="row">
            <div class="py-3 border border-dark col-3 bg-primary">3col</div>
            <div class="py-3 border border-dark col-6 bg-secondary">6col</div>
            <div class="py-3 border border-dark col-3 bg-info">3col</div>
        </div>
        <h3>3:7:2 Ratio</h3>
        <div class="row">
            <div class="py-3 border border-dark col-3 bg-primary">3col</div>
            <div class="py-3 border border-dark col-7 bg-secondary">7col</div>
            <div class="py-3 border border-dark col-2 bg-info">2col</div>
        </div>
    </div>

    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="py-3 border border-dark col-6 bg-primary">6col</div>
            <div class="py-3 border border-dark col bg-secondary">Automatic</div>
            <div class="py-3 border border-dark col bg-info">Automatic</div>
        </div>
    </div>

    <h2>Multi-row Layouts</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="py-3 border border-dark col-4 bg-primary">Catalog 1</div>
            <div class="py-3 border border-dark col-4 bg-secondary">Catalog 2</div>
            <div class="py-3 border border-dark col-4 bg-primary">Catalog 3</div>
            <div class="py-3 border border-dark col-4 bg-secondary">Catalog 4</div>
            <div class="py-3 border border-dark col-4 bg-primary">Catalog 5</div>
            <div class="py-3 border border-dark col-4 bg-secondary">Catalog 6</div>
        </div>
    </div>

    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="py-3 border border-dark col-7 mx-auto bg-primary">Oddset Column</div>
            <div class="py-3 border border-dark bg-secondary col-6 offset-md-3 offset-0">Oddset Column</div>
            <div class="py-3 border border-dark bg-primary col-7 offset-md-5 offset-0">Oddset Column</div>
        </div>
    </div>

    <h2>Column Orders</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="py-3 border border-dark col bg-primary order-1 order-md-2 ">Left Column</div>
            <div class="py-3 border border-dark bg-secondary col order-md-1 order-2">Right Column</div>
           
        </div>
    </div>









<!-- script -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>